package edu.travel.commodity.service.impl;

import cn.hutool.core.bean.BeanUtil;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import edu.travel.commodity.constant.BaseConstant;
import edu.travel.commodity.dto.GetProductByTypeDto;
import edu.travel.commodity.entity.ShopProduct;
import edu.travel.commodity.mapper.ShopProductMapper;
import edu.travel.commodity.service.ShopProductService;
import edu.travel.commodity.vo.ShopProductVo;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class ShopProductServiceImpl extends ServiceImpl<ShopProductMapper, ShopProduct> implements ShopProductService {

    @Override
    public List<ShopProductVo> getHotProduct(GetProductByTypeDto type) {
        List<ShopProduct> list = lambdaQuery().eq(ShopProduct::getCategoryId, type.getType())
                .eq(ShopProduct::getStatus, BaseConstant.BASIC_STATUS_NO_NUM)
                .eq(ShopProduct::getCountryId, type.getCountryId())
                .orderByDesc(ShopProduct::getHeatValue).list();
        return BeanUtil.copyToList(list, ShopProductVo.class);
    }
}
