package edu.travel.commodity.web;

import edu.travel.commodity.dto.BannerDto;
import edu.travel.commodity.dto.ShopTypeDto;
import edu.travel.commodity.entity.ShopCategory;
import edu.travel.commodity.service.ShopBannerService;
import edu.travel.commodity.vo.BannerVo;
import edu.travel.commodity.vo.ShopTypeVo;
import edu.travel.resp.BaseResponse;
import edu.travel.web.BaseController;
import org.springframework.web.bind.annotation.*;

import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;

/**
* 轮播图(shop_banner)表控制层
*
* @author xxxxx
*/
@RestController
@RequestMapping("/shopBanner")
public class ShopBannerController extends BaseController<ShopCategory> {
/**
* 服务对象
*/
    @Autowired
    private ShopBannerService shopBannerService;


    /**
     *  获取轮播图
     * @param banner
     * @return {@link BaseResponse }<{@link List }<{@link BannerVo }>>
     */
    @GetMapping("/getBanner")
    public BaseResponse<List<BannerVo>> getBanner(BannerDto banner){
        return new BaseResponse<>(200,"success",shopBannerService.getBanner(banner));
    }



}
