package edu.travel.tenant.service;

import com.baomidou.mybatisplus.extension.service.IService;
import edu.travel.remote.feign.mode.dto.tenant.AddOrUpdateRoleDto;
import edu.travel.remote.feign.mode.dto.tenant.AssignRolesOrMenusDto;
import edu.travel.remote.feign.mode.vo.tenant.MenuTreeVo;
import edu.travel.tenant.entity.EduTenant;
import edu.travel.tenant.entity.SysRole;

import java.util.List;
import java.util.Set;


public interface ISysRoleService extends IService<SysRole> {

    SysRole addRoleAndAssignMenus(AddOrUpdateRoleDto addOrUpdateRoleDto, EduTenant principal);

    void deleteByIds(Set<Long> ids);

    void updateRoleAndMenusById( AddOrUpdateRoleDto addOrUpdateRoleDto);

    void assignMenusToRole(AssignRolesOrMenusDto dto, EduTenant principal);

    void updateMenusToRole(AssignRolesOrMenusDto assignRolesOrMenusDto, EduTenant principal);

    List<MenuTreeVo> getMenuTreeByRoleId(Long roleId);
}
